CREATE TABLE ego_route_steps_ (
    STEP_ID                           NUMBER(18, 0) ,
    SKIP_FLAG                         VARCHAR2(4)   ,
    WORKFLOW_INSTANCE_ID              VARCHAR2(120) ,
    TASK_STAGE_TYPE                   VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)  ,
    TASK_ROUTING_SLIP_LIST_BUILDER    VARCHAR2(120) ,
    ROUTE_ID                          NUMBER(18, 0) ,
    STEP_ACTIVITY_TYPE                VARCHAR2(120) ,
    STEP_SEQ_NUMBER                   NUMBER(4, 0)  ,
    RESPONSE_REQUIRED_FROM            VARCHAR2(80)  ,
    ADHOC_STEP_FLAG                   VARCHAR2(4)   ,
    STEP_STATUS_CODE                  VARCHAR2(120) ,
    STEP_START_DATE                   DATE          ,
    STEP_END_DATE                     DATE          ,
    OBJECT_NAME                       VARCHAR2(120) ,
    OBJECT_PK1                        NUMBER(18, 0) ,
    OBJECT_PK2                        NUMBER(18, 0) ,
    OBJECT_PK3                        NUMBER(18, 0) ,
    OBJECT_PK4                        NUMBER(18, 0) ,
    OBJECT_PK5                        NUMBER(18, 0) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    AUDIT_ACTION_TYPE_                VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_             VARCHAR2(4000),
    AUDIT_IMPERSONATOR_               VARCHAR2(256) ,
    TASK_START_TIME                   TIMESTAMP(6)  ,
    TASK_COMPLETE_TIME                TIMESTAMP(6)  ,
    USER_DEFINED_SUPPORTED            VARCHAR2(4)   ,
    RULES_SUPPORTED                   VARCHAR2(4)   ,
    WEB_SERVICE_SUPPORTED             VARCHAR2(4)   ,
    STEP_ID                           NUMBER(18, 0) ,
    SKIP_FLAG                         VARCHAR2(4)   ,
    WORKFLOW_INSTANCE_ID              VARCHAR2(120) ,
    TASK_STAGE_TYPE                   VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)  ,
    TASK_ROUTING_SLIP_LIST_BUILDER    VARCHAR2(120) ,
    ROUTE_ID                          NUMBER(18, 0) ,
    STEP_ACTIVITY_TYPE                VARCHAR2(120) ,
    STEP_SEQ_NUMBER                   NUMBER(4, 0)  ,
    RESPONSE_REQUIRED_FROM            VARCHAR2(80)  ,
    ADHOC_STEP_FLAG                   VARCHAR2(4)   ,
    STEP_STATUS_CODE                  VARCHAR2(120) ,
    STEP_START_DATE                   DATE          ,
    STEP_END_DATE                     DATE          ,
    OBJECT_NAME                       VARCHAR2(120) ,
    OBJECT_PK1                        NUMBER(18, 0) ,
    OBJECT_PK2                        NUMBER(18, 0) ,
    OBJECT_PK3                        NUMBER(18, 0) ,
    OBJECT_PK4                        NUMBER(18, 0) ,
    OBJECT_PK5                        NUMBER(18, 0) ,
    CREATION_DATE                     TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_                VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_             VARCHAR2(4000),
    AUDIT_IMPERSONATOR_               VARCHAR2(256) ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    TASK_START_TIME                   TIMESTAMP(6)  ,
    TASK_COMPLETE_TIME                TIMESTAMP(6)  ,
    USER_DEFINED_SUPPORTED            VARCHAR2(4)   ,
    RULES_SUPPORTED                   VARCHAR2(4)   ,
    WEB_SERVICE_SUPPORTED             VARCHAR2(4)   ,
    CONSTRAINT pk_ego_route_steps_ PRIMARY KEY (STEP_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, STEP_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
